summaryrefslogtreecommitdiff
path: root/testprogs
diff options
context:
space:
mode:
authorAndrew Tridgell <tridge@samba.org>2012-10-31 18:00:43 +1100
committerAndrew Tridgell <tridge@samba.org>2012-11-01 15:40:40 +1100
commitfce66b22ea312abb252fb9dc748b3adc6fbab49f (patch)
tree37d9c5ef0fc30225a2ec2ef9abc38b7b29411df7 /testprogs
parentd4ea637eb869e0c3540140b7ae04c2b483f7693c (diff)
downloadsamba-fce66b22ea312abb252fb9dc748b3adc6fbab49f.tar.gz
samba-fce66b22ea312abb252fb9dc748b3adc6fbab49f.tar.bz2
samba-fce66b22ea312abb252fb9dc748b3adc6fbab49f.zip
test_chgdpass: added test for kerberos retry
this tests that we correctly retry with a new ccache entry when a server changes its password while we have a valid ticket Pair-Programmed-With: Andrew Bartlett <abartlet@samba.org>
Diffstat (limited to 'testprogs')
-rwxr-xr-xtestprogs/blackbox/test_chgdcpass.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/testprogs/blackbox/test_chgdcpass.sh b/testprogs/blackbox/test_chgdcpass.sh
index 37f9049eaf..ba3d851f4e 100755
--- a/testprogs/blackbox/test_chgdcpass.sh
+++ b/testprogs/blackbox/test_chgdcpass.sh
@@ -59,6 +59,11 @@ testit "change dc password" $samba4srcdir/scripting/devel/chgtdcpass -s $PROVDIR
#This is important because it shows that the old ticket remains valid (as it must) for incoming connections after the DC password is changed
test_smbclient "Test login with kerberos ccache after password change" 'ls' -k yes || failed=`expr $failed + 1`
+testit "change dc password (2nd time)" $samba4srcdir/scripting/devel/chgtdcpass -s $PROVDIR/etc/smb.conf || failed=`expr $failed + 1`
+
+#This is important because it shows that the old ticket remains valid (as it must) for incoming connections after the DC pass
+test_smbclient "Test login with kerberos ccache after 2nd password change" 'ls' -k yes || failed=`expr $failed + 1`
+
#This confirms that the DC password is valid for a kinit too
testit "kinit with keytab" $samba4kinit $enctype -t $PROVDIR/private/secrets.keytab --use-keytab $USERNAME || failed=`expr $failed + 1`
test_smbclient "Test login with kerberos ccache with fresh kinit" 'ls' -k yes || failed=`expr $failed + 1`